--[[ 데이터 추가 방법

기본적으로 테이블을 추가하는 방법은...
가장 큰 분류는 대륙명칭으로 나뉩니다.
Babble-Zone-2.2 라이브러리를 사용하기 때문에 영문으로 표기합니다..
그 하위로 인스턴스와 각 지역이 나뉩니다...

인스턴스는 인스턴스 이름 -> 몹 이름 -> 드랍 아이템의 순서로 테이블이 진행됩니다.

예제)
["인스턴스 이름(영문) 추가적으로 인던 종류(-Hero를 붙이면 영웅 인던 |R을 붙이면 공격대 인던)과 테이블 순서(|숫자로 표시)"] = {
	["몹 이름(영문) 추가적으로 몬스터 종류(|B를 붙이면 보스몬스터, |N를 붙일 경우는 네임드)와 테이블 순서(|숫자로 표시)"] = {
		["필드번호"] = "아이템ID",
		...
	},
},

이런식으로 추가할 수 있습니다.

단 순서를 지정하는 |숫자는 항상 맨 끝부분에 와야 합니다..

이름(영던인지여부)(|추가정보)(|테이블순서)의 순서입니다..

만약 특정한 설명이 필요한 아이템이라면..

WhoDropNote 테이블에 아이템 ID 별로 추가를 하면 됩니다.

예제)
WhoDropNote = {
	["아이템ID"] = "설명할 내용...",
	..
}

각 지역별로 나뉘는 분류에 대해서는..

예제)
["지역명(영문)"] = {
	["NPC이름(영문) 추가적으로 진영 표시(|H 나 |A, 중립에 대해서는 표시할 필요가 없습니다.)와 테이블 순서(|숫자로 표시)"] = {
		["퀘스트이름,또는 평판 상인의 경우에는 평판, 교환 아이템의 경우에는 교환가치(영문)"] = {
			["필드번호"] = "아이템ID",
			....
		},
	},
},

이렇게 추가할 수 있습니다.

인스턴스정보와 마찬가지로..

이름(추가정보-진영)(테이블순서)의 단계로 표시되어야 합니다.

지역별 구분이 한 단계가 더 많은 이유는.. 인스턴스는 ["Instance"]라는 다른 분류의 테이블로 구성되기 때문입니다.

로컬지원은..

우선적으로 로컬 파일 상에 해당 단어가 있는지 그 다음으로 Babble-Boss-2.2 다음으로 Babble-Zone-2.2, Babble-Quest-2.2를 

확인해서 로컬이 존재하는지 찾고.. 그 중에서 발견되지 않을 경우 본문 그대로를 사용합니다.

만약 Babble-Zone-2.2나 Babble-Boss-2.2, Babble-Quest-2.2에 등록되지 않은 문구의 경우에는 로컬에 추가하셔도 됩니다.


]]

local L = AceLibrary("AceLocale-2.2"):new("WhoDrop")
local BB = LibStub("LibBabble-Boss-3.0"):GetLookupTable()

WhoDropData = { };

WhoDropInstanceData = {
	["Instance|1"] = {
		["Eastern Kingdoms|1"] = {
			["The Deadmines|A|1"] = {
				["Miner Johnson|S|1"] = {
					1930,
					5443,
				},
				["Marisa du'Paige|N|2"] = {
					4660,
					3019,
				},
				["Rhahk'Zor|N|3"] = {
					872,
					5187,
				},
				["Sneed|N|3"] = {
					5194,
					5195,
				},
				["Sneed's Shredder|N|4"] = {
					1937,
					2169,
				},
				["Gilnid|N|5"] = {
					5199,
					1156,
				},
				["Mr~ Smite|N|6"] = {
					5192,
					5196,
					7230,
				},
				["Brainwashed Noble|S|7"] = {
					5967,
				},
				["Cookie|N|8"] = {
					5198,
					5197,
				},
				["Captain Greenskin|N|9"] = {
					5200,
					5201,
				},
				["Edwin VanCleef|B|10"] = {
					2874,
					5202,
					5191,
					5193,
					10399,
				},
				["Trash|T"] = {
					1933,
					10402,
					10401,
					10403,
					10400,
				},
				["Quest Reward|T"] = {
					2074,
					6094,
					2089,
					2036,
					2037,
					7606,
					7607,
					1893,
					6087,
					2041,
					2042,
					2933,
				},
			},
			["Shadowfang Keep|2"] = {
				["Rethilgore|N|1"] = {
					5254,
				},
				["Razorclaw the Butcher|N|2"] = {
					6226,
					6633,
					1292,
				},
				["Baron Silverlaine|N|3"] = {
					6323,
					6321,
				},
				["Commander Springvale|N|4"] = {
					3191,
					6320,
				},
				["Deathsworn Captain|S|5"] = {
					6641,
					6642,
				},
				["Odo the Blindwatcher|N|6"] = {
					6319,
					6318,
				},
				["Fenrus the Devourer|N|7"] = {
					6340,
					3230,
				},
				["Wolf Master Nandos|N|8"] = {
					6314,
					3748,
				},
				["Sever|S|9"] = {
					23171,
					23173,
				},
				["Archmage Arugal|B|10"] = {
					6324,
					6220,
					6392,
				},
				["Trash|T"] = {
					2807,
					1935,
					1484,
					1483,
					5943,
					1482,
					3194,
					1318,
					1974,
					"6341|"..L["Fel Steed"],
				},
				["Quest Reward|T"] = {
					4534,
					6335,
					3324,
					6414,
				},
			},
			["The Stockade|A|3"] = {
				["Bruegal Ironknuckle|S|1"] = {
					2942,
					3228,
					2941,
				},
				["Quest Reward|T"] = {
					1317,
					3400,
					2033,
					2906,
					1264,
					3562,
				},
			},
			["Gnomeregan|4"] = {
				["Grubbis|N|1"] = {
					9445,
				},
				["Viscous Fallout|N|2"] = {
					9452,
					9453,
					9454,
				},
				["Crowd Pummeler 9-60|N|3"] = {
					9449,
					9450,
				},
				["Electrocutioner 6000|N|4"] = {
					9448,
					9446,
					9447,
				},
				["Dark Iron Ambassador|S|5"] = {
					9456,
					9457,
					9455,
				},
				["Mekgineer Thermaplugg|B|6"] = {
					9461,
					9459,
					9458,
					9492,
				},
				["Trash|T"] = {
					9488,
					9485,
					9510,
					9487,
					9486,
					9508,
					9490,
					9491,
					9509,
				},
				["Quest Reward|T"] = {
					9605,
					9604,
					9535,
					9536,
					9608,
					9609,
					9588,
					9623,
					9624,
					9625,
				},
			},
			["Scarlet Monastery|4"] = {
				["Interrogator Vishas|N|1"] = {
					7682,
					7683,
				},
				["Fallen Champion|S|2"] = {
					7690,
					7689,
					7691,
				},
				["Azshir the Sleepless|S|3"] = {
					7731,
					7708,
					7709,
				},
				["Ironspine|S|4"] = {
					7686,
					7687,
					7688,
				},
				["Bloodmage Thalnos|B|5"] = {
					7684,
					7685,
				},
				["Scorn|6"] = {
					23170,
					23168,
					23169,
				},
				["Houndmaster Loksey|N|7"] = {
					7756,
					7710,
				},
				["Arcanist Doan|B|8"] = {
					34227,
					7711,
					7714,
					7713,
					7712,
				},
				["Herod|B|9"] = {
					7717,
					7719,
					7718,
				},
				["High Inquisitor Fairbanks|N|10"] = {
					19509,
					19507,
					19508,
				},
				["Scarlet Commander Mograine|N|11"] = {
					7724,
					7723,
					10330,
					7726,
				},
				["High Inquisitor Whitemane|B|12"] = {
					7721,
					7720,
					7722,
				},
				["Trash|T"] = {
					8226,
					2262,
					5756,
					7736,
					7759,
					7752,
					8225,
					7730,
					7757,
					7755,
					7787,
					7727,
				},
				["Quest Reward|T"] = {
					4643,
					7750,
					7751,
					7746,
					17508,
					7747,
					7749,
					6829,
					6830,
					6831,
					11262,
					6803,
					10711,
					6802,
				},
			},
			["Uldaman|5"] = {
				["Revelosh|N|1"] = {
					9387,
					9390,
					9389,
					9388,
				},
				["Ancient Stone Keeper|N|2"] = {
					9411,
					9410,
				},
				["Digmaster Shovelphlange|S|3"] = {
					9382,
					9375,
					9378,
				},
				["Ironaya|N|4"] = {
					9408,
					9407,
					9409,
				},
				["Baelog|H|5"] = {
					9399,
					9401,
					9404,
					9394,
					9398,
				},
				["Galgann Firehammer|N|6"] = {
					9419,
					9412,
					11311,
					11310,
				},
				["Grimlok|N|7"] = {
					9416,
					9415,
					9414,
				},
				["Archaedas|B|8"] = {
					9413,
					9418,
					11118,
				},
				["Trash|T"] = {
					9424,
					9426,
					9425,
					9391,
					9428,
					9393,
					9381,
					9431,
					9397,
					9423,
					9465,
					9392,
					9386,
					9383,
					9429,
					9422,
					9432,
					9384,
					9427,
					9396,
					9420,
					9430,
				},
				["Quest Reward|T"] = {
					9522,
					10358,
					10359,
					4980,
					4746,
					9626,
					9627,
					7673,
				},
			},
			["The Temple of Atal'Hakkar|6"] = {
				["Spawn of Hakkar|T|1"] = {
					10802,
					10801,
				},
				["Atal'alarion|N|2"] = {
					10799,
					10800,
					10798,
				},
				["Troll Miniboss|N|3"] = {
					"10788|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					"10786|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					"10787|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					"10784|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					"10783|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					"10785|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
				},
				["4 Draons|N|4"] = {
					"10796|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					"10797|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					"12465|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					"10795|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					"12243|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					"12466|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					"12464|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					"12463|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
				},
				["Jammal'an the Prophet|N|5"] = {
					10807,
					10808,
					10806,
				},
				["Ogom the Wretched|N|6"] = {
					10803,
					10805,
					10804,
				},
				["Avatar of Hakkar|N|7"] = {
					10846,
					10845,
					12462,
					10842,
					10838,
					10843,
					10844,
				},
				["Shade of Eranikus|B|8"] = {
					10829,
					10847,
					10828,
					10836,
					10833,
					10835,
					10837,
				},
				["Trash|T"] = {
					10630,
					10624,
					10625,
					10629,
					10623,
					10634,
					10628,
					10626,
					10631,
					10633,
					10632,
					10627,
					16216,
					15733,
				},
				["Quest Reward|T"] = {
					1490,
					10751,
					10749,
					10750,
					10782,
					10781,
					10780,
					20083,
					19991,
					19992,
					20369,
					20556,
					20503,
					11123,
					11124,
				},
			},
			["Blackrock Depths|7"] = {
				["Overmaster Pyron|N|1"] = {
					14486,
				},
				["Bael'Gar|N|2"] = {
					11805,
					11803,
					11802,
					11807,
				},
				["High Interrogator Gerstahn|N|3"] = {
					11625,
					11624,
					11626,
					22240,
				},
				["Theldren|S|4"] = {
					22318,
--					22327,
					22330,
					22317,
					22305,
				},
				["Eviscerator|S|5"] = {
					11686,
					11679,
					11685,
					11730,
				},
				["Grizzle|S|6"] = {
					11703,
					11722,
					22270,
					11702,
					11610,
				},
				["Ok'thor the Breaker|S|7"] = {
					11824,
					11662,
					11665,
					11728,
				},
				["Hedrum the Creeper|S|8"] = {
					11634,
					11635,
					11633,
					11729,
				},
				["Anub'shiah|S|9"] = {
					11675,
					11677,
					11678,
					11731,
				},
				["Gorosh the Dervish|S|10"] = {
					22266,
					22257,
					11726,
					22271,
				},
				["Houndmaster Grebmar|S|11"] = {
					11627,
					11623,
					11628,
					11629,
				},
				["Lord Roccor|S|12"] = {
					11630,
					22397,
					11631,
					11632,
					11813,
					22234,
				},
				["Pyromancer Loregrain|N|13"] = {
					11748,
					11750,
					11747,
					11749,
					11207,
				},
				["Verek|N|14"] = {
					22242,
				},
				["Warder Stilgiss|N|15"] = {
					11783,
					11784,
					11782,
					22241,
				},
				["Watchman Doomgrip|N|16"] = {
					22254,
					22255,
					22256,
					22205,-- 문지기 스틸기스도 0.14% 드랍
				},
				["Fineous Darkvire|N|17"] = {
					11840,
					11841,
					22223,
					11839,
					11842,
				},
				["Lord Incendius|N|18"] = {
					11768,
					11764,
					11766,
					11765,
					11767,
				},
				["General Angerforge|N|19"] = {
					11810,
					11820,
					11817,
					11823,
					11816,
					11821,
				},
				["Golem Lord Argelmach|N|20"] = {
					11822,
					11819,
					11669,
					21956,

				},
				["Hurley Blackbreath|N|21"] = {
					11735,
					18043,
					22275,
					18044,
				},
				["Ribbly Screwspigot|N|22"] = {
					11742,
					2663,
					2662,
					11612,
				},
				["Plugger Spazzring|N|23"] = {
					12793,
					12791,
					18653,
				},
				["Phalanx|N|24"] = {
					11744,
					11743,
					11745,
					22212,
				},
				["Ambassador Flamelash|N|25"] = {
					11808,
					11832,
					11809,
					11814,
					11812,
				},
				["Panzor the Invincible|S|26"] = {
					11786,
					11787,
					22245,
					11785,
				},
				["The Seven Dwarves|T|27"] = {
					"11925|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					"11923|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					"11921|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					"11922|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					"11920|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					"11926|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					"11927|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					"11929|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],

				},
				["Magmus|N|28"] = {
					11746,
					22208,
					22395,
					22400,
					11935,
				},
				["Princess Moira Bronzebeard|N|29"] = {
					12553,
					12556,
					12554,
					12557,
				},
				["Emperor Dagran Thaurissan|B|30"] = {
					11684,
					11934,
					11815,
					11924,
					11933,
					11932,
					11931,
					22204,
					11928,
					22207,
					11930,
				},
				["Trash|T"] = {
					12549,
					12542,
					12551,
					12555,
					12552,
					12528,
					12535,
					12547,
					12550,
					12532,
					16048,
					18661,
					15781,
--					16053,
				},
				["Quest Reward|T"] = {
					11865,
					11963,
					12049,
					11962,
					11866,
					12041,
					12021,
					12018,
					12038,
					12000,
					11964,
					12113,
					12114,
					12115,
					12112,
					12066,
					12082,
					12083,
					12061,
					12062,
					12065,
					12059,
					12109,
					12110,
					12108,
					12111,
					12544,
					12545,
				},
			},
			["Stratholme|8"] = {
				["Skul|S|1"] = {
					13395,
					13396,
					13394,
				},
				["Stonespine|S|2"] = {
					13954,
					13399,
					13397,
				},
				["Hearthsinger Forresten|S|3"] = {
					13384,
					16682,
					13378,
					13383,
					13379,
				},
				["The Unforgiven|S|4"] = {
					13408,
					13409,
					13405,
					13404,
				},
				["Baroness Anastari|N|5"] = {
					13534,
					18729,
					13539,
					18730,
					18728,
					16704,
					13538,
					13537,
					13535,
				},
				["Magistrate Barthilas|N|6"] = {
					18725,
					18727,
					13376,
					18722,
					18726,
				},
				["Maleki the Pallid|N|7"] = {
					16691,
					18734,
					13527,
					13509,
					18735,
					18737,
					13526,
					13525,
					12833,
					13524,
					13528,
				},
				["Nerub'enkan|N|8"] = {
					18738,
					18740,
					13532,
					16675,
					13529,
					13530,
					13508,
					13533,
					18739,
					13531,
				},
				["Postmaster Malown|N|9"] = {
					13393,
					13391,
					13388,
					13392,
					13389,
					13390,
				},
				["Balzaphon|N|10"] = {
					23125,
					23126,
					23124,
				},
				["Ramstein the Gorger|N|11"] = {
					16737,
					13373,
					13375,
					13372,
					18723,
					13515,
					13374,
				},
				["Timmy the Cruel|N|12"] = {
					13402,
					13400,
					16724,
					13403,
					13401,
				},
				["Cannon Master Willey|N|13"] = {
					13377,
					18721,
					13382,
					22439,
					13381,
					22406,
					22404,
					12839,
					16708,
					13380,
					22403,
					22405,
				},
				["Archivist Galford|N|14"] = {
					16692,
					18716,
					13385,
					13387,
					13386,
				},
				["Balnazzar|B|15"] = {
					13353,
					16725,
					13369,
					13348,
					13359,
					12103,
					18720,
					14512,
					13360,
					13358,
					18717,
					18718,

				},
				["Jarien|N|16"] = {
					22334,
					22301,
					22327,
					22328,
					22329,
				},
				["Sothos|N|17"] = {
					22334,
					22301,
					22327,
					22328,
					22329,
				},
				["Baron Rivendare|B|18"] = {
					13349,
					13368,
					13344,
					16668,
					13361,
					16694,
					13345,
					16709,
					16678,
					16719,
					16732,
					16728,
					13346,
					13335,
					13340,
					16687,
					13505,
					16699,
					22408,
					22411,
					22410,
					22412,
				},
				["Trash|T"] = {
					18745,
					17061,
					18743,
					18741,
					16052,
					18658,
					18742,
					16248,
					16249,
				},
				["Quest Reward|T"] = {
					13249,
					13243,
					13246,
					13216,
					13217,
					13315,
					17044,
					17045,
					13171,
					18022,
					17001,
					19812,
					13209,
					15421,
					16058,
					15411,
					15418,
					15413,
				},
			},
			["Scholomance|9"] = {
				["Kirtonos the Herald|N|1"] = {
					13960,
					16734,
					13983,
					13967,
					13957,
					14024,
					13955,
					13956,
					13969,
				},
				["Jandice Barov|N|2"] = {
					18689,
					14543,
					22394,
					14548,
					14541,
					14545,
					16701,
					18690,
				},
				["Marduk Blackpool|N|3"] = {
					14576,
					18692,
				},
				["Vectus|N|4"] = {
					14577,
					18691,
				},
				["Ras Frostwhisper|N|5"] = {
					18696,
					18693,
					13952,
					18695,
					14503,
					14525,
					14340,
					14487,
					14502,
					13314,
					18694,
					16689,
					14522,

				},
				["Kormok|N|6"] = {
					22332,
					22326,
					22303,
					22333,
					22331,
				},
				["Lord Blackwood|N|7"] = {
					23156,
					23132,
					23139,
				},
				["Rattlegore|N|8"] = {
					14539,
					14537,
					14528,
					14531,
					16711,
					14538,
					18686,
				},
				["Death Knight Darkreaver|N|9"] = {
					18758,
					18761,
					18760,
					18759,
				},
				["Named common|T|10"] = {
				---- 조교 말리시아 / 학자 테올렌 크리스티노브 / 여군주 일루시아 바로브
				---- 군주 알렉사이 바로브 / 현자 폴켄트 / 라베니안
					23201,
					23200,
					18684,
					18683,
					18681,
					18680,
					18682,
					14626,
					14631,
					14629,
					14632,
					14633,
					14637,
					14640,
					14641,
					14636,
					14638,
					14624,
					14622,
					14620,
					14621,
					14623,
					14616,
					14615,
					14614,
					14611,
					14612,
				},
				["Darkmaster Gandling|B|11"] = {
					16693,
					16686,
					16731,
					16727,
					16667,
					16698,
					16677,
					16720,
					16707,
					13944,
					13964,
					13950,
					13951,
					13398,
					13953,
					13938,
					14514,
					13937,
					22433,
				},
				["Trash|T"] = {
					14536,
					18697,
					18701,
					18702,
					18700,
					18699,
					18698,
					16254,
					16255,
				},
				["Quest Reward|T"] = {
					15854,
					15853,
					15806,
					15805,
					13982,
					13986,
					13984,
					14002,
				},
			},
			["Lower Blackrock Spire|10"] = {
				["Bannok Grimaxe|S|1"] = {
					12634,
					12621,
					12637,
					12838,
				},
				["Burning Felguard|S|2"] = {
					13182,
					13181,
				},
				["Shadow Hunter Vosh'gajin|N|3"] = {
					12651,
					12653,
					12654,
					13255,
					12626,
					16712,
					13257,
				},
				["Spirestone Battle Lord|S|4"] = {
					13285,
					13284,
				},
				["Spirestone Butcher|S|5"] = {
					13286,
					12608,
				},
				["Spirestone Lord Magus|N|6"] = {
					13283,
					13261,
					13282,
				},
				["Highlord Omokk|N|7"] = {
					16670,
					13167,
					13168,
					13166,
					13169,
					13170,
				},
				["War Master Voone|N|8"] = {
					22231,
					13175,
					13177,
					13178,
					16676,
					12582,
					28972,
					13179,
				},
				["Mor Grayhoof|N|9"] = {
					22322,
					22319,
					22398,
					22325,
					22306,
				},
				["Crystal Fang|S|10"] = {
					13184,
					13218,
					13185,
				},
				["Mother Smolderweb|N|11"] = {
					13244,
					13213,
					16715,
					13183,
				},
				["Urok Doomhowl|N|12"] = {
					22232,
					13259,
					13258,
				},
				["Halycon|N|13"] = {
					22313,
					13211,
					13212,
					13210,
				},
				["Gizrul the Slavener|N|14"] = {
					13205,
					13206,
					13208,
					16718,
				},
				["Ghok Bashguud|S|15"] = {
					13198,
					13204,
					13203,
				},
				["Quartermaster Zigris|N|16"] = {
					13253,
					13252,
					12835,
					21955,
				},
				["Overlord Wyrmthalak|B|17"] = {
					13164,
					13148,
					13162,
					13163,
					13143,
					13161,
					22321,
					16679,
				},
				["Trash|T"] = {
					16250,
					14513,
					13260,
					13494,
				},
				["Quest Reward|T"] = {
					15858,
					15859,
					15824,
					15827,
					15825,
					12529,
					12264,
					15873,
					15867,
					13958,
					13959,
					13961,
					13963,
					13962,
				},
			},
			["Upper Blackrock Spire|11"] = {
				["Jed Runewatcher|S|1"] = {
					12605,
					12604,
					12930,
				},
				["Pyroguard Emberseer|N|2"] = {
					12929,
					16672,
					12926,
					12905,
					12927,
				},
				["Solakar Flamewreath|N|3"] = {
					12606,
					12609,
					12603,
					12589,
					16695,
					18657,
				},
				["Goraluk Anvilcrack|N|4"] = {
					18048,
					18047,
					13502,
					12728,
					12837,
					13498,
					12834,
				},
				["The Beast|N|5"] = {
					12967,
					12969,
					12709,
					22311,
					12968,
					16729,
					12963,
					12966,
					12964,
					12965,
				},
				["Lord Valthalak|N|6"] = {
					22337,
					22343,
					22302,
					22340,
					22342,
					22339,
					22336,
					22335,
				},
				["Warchief Rend Blackhand|N|7"] = {
					12587,
					12590,
					18103,
					18102,
					22247,
					12940,
					18104,
					16733,
					12935,
					12583,
					19112,
					12936,
					12588,
					12939,
				},
				["Gyth|N|8"] = {
					22225,
					12953,
					12952,
					16669,
					12960,

				},
				["General Drakkisath|B|9"] = {
					22268,
					13098,
					13142,
					12592,
					13141,
					12602,
					22253,
					22267,
					22269,
					16730,
					16726,
					16666,
					16690,
					16688,
					16674,
					16721,
					16706,
					16700,
				},
				["Trash|T"] = {
					16244,
					16247,
				},
				["Quest Reward|T"] = {
					15860,
					15861,
					13966,
					13968,
					13965,
				},
			},
			["Molten Core|R|12"] = {
				["Lucifron|N|1"] = {
					16859,
					16863,
					16829,
					16800,
					16837,
					16805,
					17109,
					18878,
					18870,
					19145,
					17077,
					19147,
					19146,
					18875,
					18872,
					18879,
				},
				["Magmadar|N|2"] = {
					16814,
					16822,
					16867,
					16855,
					16810,
					16835,
					16796,
					16843,
					16847,
					18203,
					17073,
					17069,
					17065,
					18822,
					19143,
					18821,
					18829,
					18820,
					19136,
					19142,
					18824,
					19144,
					18823,
				},
				["Gehennas|N|3"] = {
					16812,
					16862,
					16860,
					16826,
					16849,
					16839,
					18878,
					18870,
					19145,
					17077,
					19147,
					19146,
					18875,
					18872,
					18879,
				},
				["Garr|N|4"] = {
					16866,
					16854,
					16795,
					16821,
					16834,
					16842,
					16846,
					16813,
					16808,
					18832,
					17105,
					17066,
					17071,
					18822,
					19143,
					18821,
					18829,
					18820,
					19136,
					19142,
					18824,
					19144,
					18823,
					18564,
				},
				["Baron Geddon|N|5"] = {
					17110,
					16856,
					16844,
					16836,
					16797,
					16807,
					18822,
					19143,
					18821,
					18829,
					18820,
					19136,
					19142,
					18824,
					19144,
					18823,
					18563,
				},
				["Shazzrah|N|6"] = {
					16811,
					16824,
					16831,
					16801,
					16852,
					16803,
					18878,
					18870,
					19145,
					17077,
					19147,
					19146,
					18875,
					18872,
					18879,
				},
				["Sulfuron Harbinger|N|7"] = {
					17074,
					17223,
					16868,
					16848,
					16816,
					16823,
					18878,
					18870,
					19145,
					17077,
					19147,
					19146,
					18875,
					18872,
					18879,
				},
				["Golemagg the Incinerator|N|8"] = {
					16865,
					16853,
					16815,
					16833,
					16798,
					16841,
					16845,
					16809,
					16820,
					18842,
					17103,
					17072,
					18822,
					19143,
					18821,
					18829,
					18820,
					19136,
					19142,
					18824,
					19144,
					18823,
				},
				["Majordomo Executus|N|9"] = {
					18811,
					19140,
					18806,
					18812,
					18803,
					18805,
					18808,
					19139,
					18810,
					18809,
				},
				["Ragnaros|B|10"] = {
					16915,
					16909,
					16962,
					16954,
					16946,
					16922,
					16930,
					16938,
					16901,
					18817,
					17076,
					18816,
					17107,
					17102,
					19137,
					17082,
					17104,
					17982,
					17063,
					19138,
					18814,
					18815,
					17106,
					17204,
				},
				["Boss common|T"] = {
					18861,
					18290,
					18292,
					18291,
					18257,
					21371,
					18265,
					18252,
					18264,
					18260,
					18259,
				},
				["Trash|T"] = {
					16819,
					16825,
					16861,
					16857,
					16799,
					16830,
					16840,
					16850,
					16804,
					16817,
					16864,
					16858,
					16802,
					16828,
					16827,
					16838,
					16851,
					16806,
				},
				["Quest Reward|T"] = {
					18399,
					18398,
					17182,
					19019,
				},
			},
			["Blackwing Lair|R|13"] = {
				["Razorgore the Untamed|N|1"] = {
					16959,
					16926,
					16951,
					16943,
					16918,
					16934,
					16935,
					16904,
					16911,
					19337,
					19335,
					19334,
					19336,
					19369,
					19370,
				},
				["Vaelastrasz the Corrupt|N|2"] = {
					16925,
					16933,
					16960,
					16952,
					16944,
					16818,
					16936,
					16903,
					16910,
					19346,
					19340,
					19339,
					19371,
					19372,
					19348,
				},
				["Broodlord Lashlayer|N|3"] = {
					16927,
					16949,
					16919,
					16912,
					16965,
					16957,
					16941,
					16898,
					16906,
					19342,
					19341,
					19350,
					19373,
					19374,
					19351,
				},
				["Firemaw|N|4"] = {
					19399,
					19398,
					19365,
					19344,
					19400,
					19343,
					19433,
					19402,
					19401,
					16920,
					16928,
					16964,
					16956,
					16948,
					16899,
					16913,
					16940,
					16907,
					19395,
					19397,
					19353,
					19355,
					19394,
					19396,
				},
				["Ebonroc|N|5"] = {
					19406,
					19368,
					19345,
					19407,
					19403,
					19405,
					16920,
					16928,
					16964,
					16956,
					16948,
					16899,
					16913,
					16940,
					16907,
					19395,
					19397,
					19353,
					19355,
					19394,
					19396,
				},
				["Flamegor|N|6"] = {
					19367,
					19357,
					19430,
					19433,
					19432,
					19431,
					16920,
					16928,
					16964,
					16956,
					16948,
					16899,
					16913,
					16940,
					16907,
					19395,
					19397,
					19353,
					19355,
					19394,
					19396,
				},
				["Chromaggus|N|7"] = {
					16945,
					16961,
					16953,
					16932,
					16924,
					16937,
					16902,
					16832,
					16917,
					19387,
					19347,
					19392,
					19390,
					19388,
					19349,
					19386,
					19391,
					19352,
					19361,
					19385,
					19389,
					19393,
				},
				["Nefarian|B|8"] = {
					16966,
					16958,
					16950,
					16923,
					16931,
					16916,
					16942,
					16897,
					16905,
					19379,
					19378,
					19380,
					19381,
					19356,
					19377,
					19382,
					19360,
					19376,
					19363,
					19364,
					19375,
				},
				["Trash|T"] = { 
					19358, --벨라 2층 일반몹
					19436,
					19437,
					19354,-- 화염아귀 ~ 에본로크 사이 일반몹 
					19362,
					19439,
					19435,
					19434,
					19438,
				},
			},
			["Zul'Gurub|R|14"] = {
				["High Priestess Jeklik|N|1"] = {
					20262,
					19918,
					19920,
					19915,
					20265,
					19923,
					19928,
				},
				["High Priest Venoxis|N|2"] = {
					22721,
					19905,
					19900,
					19906,
					19903,
					19904,
					19907,
				},
				["High Priestess Mar'li|N|3"] = {
					19930,
					19925,
					19927,
					20032,
					19871,
					19919,
				},
				["Bloodlord Mandokir|N|4"] = {
					19893,
					19874,
					19866,
					19869,
					19895,
					19867,
					20038,
					19863,
					19870,
					19878,
					19873,
					19877,
					19872,
				},
			--	["광란의 경계|N|5"] = {
				["Wushoolay|N|5"] = {
					19993,
				},
				["Renataki|N|5"] = {
					19963,
					19964,
				},
				["Hazza'rah|N|5"] = {
					19967,
					19968,
				},
				["Gri'lek|N|5"] = {
					19961,
					19962,
				},
				["Wushoolay|N|5"] = {
					19965,
				},
				["Gahz'ranka|N|6"] = {
					19946,
					19945,
					19947,
					19944,
					22739,
				},
				["High Priest Thekal|N|7"] = {
					19898,
					19901,
					19897,
					19896,
					19899,
					20260,
					20266,
					19902,
				},
				["High Priestess Arlokk|N|8"] = {
					19909,
					19914,
					19913,
					19910,
					19912,
					19922,
				},
				["Jin'do the Hexxer|N|9"] = {
					19884,
					19885,
					19888,
					19890,
					19886,
					19929,
					19892,
					19891,
					19894,
					19875,
					19887,
					19889,
				},
				["Hakkar|B|10"] = {
					19861,
					19864,
					19856,
					19857,
					19865,
					20257,
					19862,
					20264,
					19855,
					19876,
					19859,
					19854,
					19852,
					19853,
				},
				["Trash|T"] = {
					19908,
					20258,
					20263,
					19921,
					20259,
					20261,
				},
				["Boss common"] = {
					22712,
					22721,
					22715,
					22714,
					22720,
					22718,
					22713,
					22711,
					22722,
					22716,
				},
				["Quest Reward|T"] = {
					20216,
					20215,
					20217,
					20213,
				},
			},
			["Naxxramas|R|15"] = {
				["Patchwerk|N|1"] = {
					22815,
					22960,
					22818,
					22820,
					22961,
				},
				["Grobbulus|N|2"] = {
					22810,
					22988,
					22803,
					22968,
					22967,
				},
				["Gluth|N|3"] = {
					23075,
					22983,
					22813,
					22981,
					22994,
				},
				["Thaddius|N|4"] = {
					23001,
					22808,
					22801,
					23070,
					23000,
				},
				["Anub'Rekhan|N|5"] = {
					22935,
					22937,
					22936,
					22938,
					22939,
				},
				["Grand Widow Faerlina|N|6"] = {
					22943,
					22940,
					22941,
					22942,
					22806,
				},
				["Maexxna|N|7"] = {
					22807,
					22954,
					22804,
					23220,
					22947,
				},
				["Instructor Razuvious|N|8"] = {
					23004,
					23017,
					23219,
					23009,
					23018,
					23014,
				},
				["Gothik the Harvester|N|9"] = {
					23020,
					23073,
					23032,
					23021,
					23023,
				},
				["The Four Horsemen|N|10"] = {
					22811,
					23071,
					23025,
					23027,
					22691,
					22809,
				},
				["Noth the Plaguebringer|N|11"] = {
					23028,
					23031,
					23030,
					22816,
					23005,
					23029,
					23006,
				},
				["Heigan the Unclean|N|12"] = {
					23035,
					23036,
					23019,
					23068,
					23033,
				},
				["Loatheb|N|13"] = {
					23039,
					22800,
					23042,
					23038,
					23037,
				},
				["Sapphiron|N|14"] = {
					23047,
					23043,
					23040,
					23041,
					23045,

					23242,
					23050,
					23049,
					23048,
					23046,

					23549,
					23547,
					23548,
					23545,
				},
				["Kel'Thuzad|N|15"] = {
					22802,
					23577,
					22798,
					22819,

				--	["부동의 장갑"] = {[1] = "드랍",[2] = "낙스라마스<공>",[3] = "켈투자드"},
					22821,
					22799,
					23056,
					23057,
					22812,
					23053,
					23054,
					22733,
				},
				["Boss common|T"] = {
					22726,
				},
				["Trash|T"] = {
					23044,
					23069,
					23221,
					23237,
					23663,
					23664,
					23665,
					23226,
					23666,
					23667,
					23668,
					23238,
					22631,
				},
			},
			["Karazhan|R|17"] = {
				["Attumen the Huntsman|N|1"] = {
					28504,
					28502,
					28477,
					28510,
					28503,
--					28589,
					28453,
					30480,
					28508,
					28509,
					28506,
					28454,
					28505,
					28507,
					23809,
				},
				["Hyakiss the Lurker|N|2"] = {
					30678,
					30675,
					30677,
					30676,
				},
				["Rokad the Ravager|N|3"] = {
					30687,
					30684,
					30686,
					30685,
				},
				["Shadikith the Glider|N|4"] = {
					30683,
					30682,
					30681,
					30680,
				},
				["Moroes|N|5"] = {
					28569,
					28568,
					28567,
					28566,
					28565,
					28524,
					28570,
					28529,
					28545,
					28525,
					28530,
					28528,
					22559,
				},
				["Maiden of Virtue|N|6"] = {
					28517,
					28522,
					28519,
					28520,
					28511,
					28523,
					28512,
					28514,
					28521,
					28516,
					28518,
					28515,
				},

				["The Crone|N|7"] = {
					28585,
					28587,
					28586,
					28588,
					28590,
					28593,
					28594,
					28589,
					28592,
					28591,
				},
				["The Big Bad Wolf|N|8"] = {
					28582,
					28581,
					28584,
					28583,
					28590,
					28593,
					28594,
					28589,
					28592,
					28591,
				},
				["Romulo & Julianne|N|9"] = {
					28573,
					28579,
					28578,
					28572,
					28590,
					28593,
					28594,
					28589,
					28592,
					28591,
				},
				["Nightbane|N|10"] = {
					28600,
					28601,
					28609,
					28597,
					28611,
					28608,
					28603,
					28599,
					28604,
					28602,
					28610,
					28606,
				},
				["The Curator|N|11"] = {
					29756,
					29757,
					29758,
					28621,
					28612,
					28647,
					28649,
					28633,
					28631,
				},
				["Terestian Illhoof|N|12"] = {
					28652,
					28657,
					28785,
					28656,
					28659,
					28660,
					28662,
					28654,
					28655,
					28661,
					28658,
					28653,
					22561,
				},
				["Shade of Aran|N|13"] = {
					28669,
					28670,
					28671,
					28674,
					28672,
					28727,
					28728,
					28675,
					28673,
					28666,
					28726,
					28663,
					22560,
				},
				["Chess Event|N|14"] = {
					28749,
					28750,
					28746,
					28752,
					28747,
					28753,
					28748,
					28754,
					28756,
					28751,
					28745,
					28755,
				},
				["Netherspite|N|15"] = {
					28742,
					28732,
					28733,
					28729,
					28741,
					28735,
					28730,
					28740,
					28731,
					28744,
					28734,
					28743,
				},
				["Prince Malchezaar|N|16"] = {
					29759,
					29760,
					29761,
					28768,
					28767,
					28771,
					28773,
					28763,
					28766,
					28765,
					28757,
					28762,
					28764,
					28770,
					28772,
				},
				["Trash|T|17"] = {
					30642,
					30668,
					30644,
					30641,
					30673,
					30643,
					30667,
					30674,
					30666,
					22545,
					21904,
					21903,
				},
				["Quest Reward|U|18"] = {
					31113,
					"",
					31117,
					31118,
					31116,
				},
			},
			["Zul'Aman|R|18"] = {
				["Nalorakk|N|1"] = { -- 1. 날로라크(곰)
					33203, -- 천상의 결의 로브
					33206, -- 원시 분노의 어깨갑옷
					33285, -- 곰신의 분노
					33191, -- 정글 장화
					33327, -- 내성의 가면
					33211, -- 칼날사자의 주머니허리띠
					33640, -- 격노
				},
				["Akil'zon|N|2"] = { -- 2. 아킬존(매)
					33293, -- 고대 마법의 인장
					33214, -- 아킬존의 갈퀴검
					33286, -- 치유사의 모조 가면
					33283, -- 아마니 응징의 철퇴
					33281, -- 자연의 자비 브로치
					33215, -- 피로 물든 엘프의 전투조끼
				},
				["Jan'alai|N|3"] = { -- 3. 잔알라이(용매)
					33356, -- 자연 재생의 투구
					33332, -- 광택나는 모조 원반
					33357, -- 광기의 장화
					33329, -- 어둠의이빨 트롤가죽 흉갑
					33328, -- 화살막이 흉갑
					33326, -- 아마니 제국 보루방패
					33354, -- 우브의 저주받은 주술검
				},
				["Halazzi|N|4"] = { -- 4. 할라지(스라소니)
					33299, -- 중재자의 어깨갑옷
					33533, -- 산사태 다리보호구
					33300, -- 춤추는 칼날의 어깨보호구
					33317, -- 죽은 영혼의 로브
					33303, -- 해골파괴자의 전투장화
					33322, -- 빛나는 모피 조끼
					33297, -- 야만전사의 목걸이
				},
				["Hex Lord Malacrass|N|5"] = { -- 5. 주술 군주 말라크라스
					33298, -- 추적자의 쐐기단검
					33388, -- 무자비
					33389, -- 악령 깃든 모조 단검
					33828, -- 악마의 치유 고서
					33829, -- 쭈그러든 주술사의 해골
					33421, -- 마모된 어금니투구
					33432, -- 밀림 추적자의 코이프
					33446, -- 스트롬가드의 희망 벨트
					33453, -- 주술 두건
					33463, -- 세번째 눈의 두건
					33464, -- 주술 군주의 부두 어깨갑옷
					33465, -- 원시 분노의 지팡이
					33592, -- 고대 의식의 망토
					34029, -- 작은 부두 가면
				},
				["Zul'jin|B|6"] = { -- 6. 줄진(Boss)
					33102, -- 줄진의 피	-- 퀘스트 아이템
					33831, -- 광전사의 부름
					33469, -- 황제의 용사 갑옷
					33478, -- 진로크, 위대한 계시
					33467, -- 뒤틀린 환영의 검
					33468, -- 어둠의 축복
					33476, -- 앙심의 클레버
					33830, -- 고대 아키르 유물
					33474, -- 고대 신도레이 장궁
					33473, -- 장군의 흉갑
					33466, -- 저주받은 뼈 올가미
					33471, -- 두 발가락 덧신
					33479, -- 냉혹한 웃음의 면갑
				},
				["Case|T|7"] = { -- 7. 공물함
					33480, -- 트롤의 땋아내린 머리카락
					33481, -- 굳은 결의의 어깨갑옷
					33489, -- 부정한 의지의 어깨보호대
					33490, -- 암흑의 치유 지팡이
					33491, -- 어금니 파쇄기
					33492, -- 트롤베인
					33493, -- 움브랄 비수
					33494, -- 아마니 예언의 지팡이
					33495, -- 분노
					33805, -- 어둠사냥꾼 장화
					33809, -- 아마니 전투곰

					33496, -- 원시 분노의 인장 반지
					33497, -- 마나 조화의 고리
					33498, -- 고요한 숲의 인장 반지
					33499, -- 최후의 수호자 인장 반지
					33500, -- 영원한 삶의 인장 반지
				},
				["Boss common|T|8"] = { -- 8. 보스공통
					33307, -- 주문식: 무기 마법부여 - 집행자
				},
				["Trash|T|9"] = { -- 9. 기타
					33993, -- 모조 : 아마니 주술 막대 사용시 랜덤획득
					33926, -- 봉인된 두루마리 함 : 아마니 주술 막대 사용시 랜덤획득
				},
			},
		},

		["Kalimdor|2"] ={
			["Ragefire Chasm|1"] = {
				["Jergosh the Invoker|1"] = {
					14150,
					14151,
					14147,
				},
				["Taragaman the Hungerer|2"] = {
					14145,
					14149,
					14148,
				},
				["Quest Reward|T"] = {
					15452,
					15453,
					15449,
					15450,
					15451,
				},
			},
			["Wailing Caverns|2"] = {
				["Boahn|N|1"] = {
					5423,
					5422,
				},
				["Deviate Faerie Dragon|S|2"] = {
					5243,
					6632,
				},
				["Kresh|N|2"] = {
					13245,
				},
				["Lady Anacondra|N|3"] = {
					5404,
					10412,
				},
				["Lord Cobrahn|N|4"] = {
					6465,
					6460,
					10410,
				},
				["Lord Pythas|N|5"] = {
					6472,
					6473,
				},
				["Lord Serpentis|N|6"] = {
					6459,
					5970,
					10411,
					6469,
				},
				["Mutanus the Devourer|N|7"] = {
					6463,
					6627,
					6461,
				},
				["Skum|N|8"] = {
					6448,
					6449,
				},
				["Trigore the Lasher|N|9"] = {
					5425,
					5426,
				},
				["Verdan the Everliving|B|10"] = {
					6629,
					6631,
					6630,
				},
				["Quest Reward|T"] = {
					918,
					6480,
					10919,
					8071,
					9900,
					6476,
					6505,
					6504,
				},
			},
			["Blackfathom Deeps|3"] = {
				["Ghamoo-ra|N|1"] = {
					6908,
					6907,
				},
				["Lady Sarevess|N|2"] = {
					3078,
					11121,
					888,
				},
				["Gelihast|N|3"] = {
					6905,
					6906,
					1470,
				},
				["Old Serra'kis|N|4"] = {
					6902,
					6904,
					6901,
				},
				["Twilight Lord Kelris|N|5"] = {
					6903,
					1155,
				},
				["Aku'mai|B|6"] = {
					6910,
					6911,
					6909,
				},
				["Trash|T|7"] = {
					3414,
					2567,
					1481,
					1491,
					3413,
					1486,
					3415,
					1454,
					3417,
					3416,
					2271,
				},
				["Quest Reward|T"] = {
					6743,
					7003,
					7004,
					7000,
					6998,
					17694,
					17695,
					7001,
					7002,
					16886,
					16887,
				},
			},
			["Razorfen Kraul|4"] = {
				["Earthcaller Halmgar|S|1"] = {
					6689,
					6688,
				},
				["Overlord Ramtusk|N|2"] = {
					6686,
					6687,
				},
				["Death Speaker Jargba|N|3"] = {
					2816,
					6682,
					6685,
				},
				["Agathelos the Raging|N|4"] = {
					6691,
					6690,
				},
				["Blind Hunter|S|5"] = {
					6696,
					6695,
					6697,
				},
				["Charlga Razorflank|B|6"] = {
					6694,
					6693,
					6692,
				},
				["Trash|T|8"] = {
					1727,
					6679,
					2039,
					776,
					1488,
					2549,
					1976,
					1978,
					2264,
					4438,
					1975,
				},
				["Quest Reward|T"] = {
					6750,
					6748,
					6749,
					6752,
					6751,
					4197,
					6742,
					6725,
					29200,
				},
			},
			["Razorfen Downs|5"] = {
				["Tuten'kash|N|1"] = {
					10776,
					10775,
					10777,
				},
				["Glutton|N|2"] = {
					10772,
					10774,
				},
				["Mordresh Fire Eye|N|3"] = {
					10770,
					10771,
					10769,
				},
--[[				["Lady Falther'ess|N|4"] = {
					23178,
					23177,
				},]]
				["Ragglesnout|S|5"] = {
					10758,
					10768,
					10767,
				},
				["Plaguemaw the Rotting|N|6"] = {
					10766,
					10760,
				},
				["Amnennar the Coldbringer|B|7"] = {
					10765,
					10763,
					10762,
					10761,
					10764,
				},
				["Trash|T"] = {
					10570,
					10578,
					10573,
					10572,
					10584,
					10583,
					10582,
					10571,
					10581,
				},
				["Quest Reward|T"] = {
					17039,
					17042,
					17043,
					10710,
					10824,
					10823,
				},
			},
			["Zul'Farrak|6"] = {
				["Dustwraith|S|1"] = {
					12471,
				},
				["Zerillis|S|2"] = {
					12470,
				},
				["Gahz'rilla|N|3"] = {
					9467,
					9469,
				},
				["Shadowpriest Sezz'ziz|N|4"] = {
					9475,
					9470,
					9474,
					9473,
				},
				["Chief Ukorz Sandscalp|B|5"] = {
					9478,
					9479,
					9477,
					11086,
					9476,
				},
				["Witch Doctor Zum'rah|N|6"] = {
					18083,
					18082,
				},
				["Antu'sul|N|7"] = {
					9640,
					9639,
					9641,
					9379,
				},
				["Named common|8"] = {
					9480,
					9481,
					2040,
					9511,
					9512,
					5616,
					9483,
				},
				["Quest Reward|T"] = {
					9531,
					9527,
					9533,
					9534,
					11122,
					9653,
					"9372|"..L["Sang'thraze the Deflector"].."+"..L["Jang'thraze the Protector"],
				},
			},
			["Maraudon|7"] = {
				["Noxxion|N|1"] = {
					17746,
					17744,
					17745,
				},
				["Lord Vyletongue|N|2"] = {
					17752,
					17754,
					17755,
				},
				["Meshlok the Harvester|S|3"] = {
					17742,
					17767,
					17741,
				},
				["Celebras the Cursed|N|4"] = {
					17739,
					17740,
					17738,
				},
				["Razorlash|N|5"] = {
					17750,
					17748,
					17749,
					17751,
				},
				["Landslide|N|6"] = {
					17734,
					17737,
					17943,
					17736,
				},
				["Rotgrip|N|7"] = {
					17730,
					17728,
					17732,
				},
				["Tinkerer Gizlock|N|8"] = {
					17717,
					17719,
					17718,
				},
				["Princess Theradras|B|9"] = {
					17713,
					17707,
					17710,
					17715,
					17780,
					17714,
					17766,
					17711,
				},
				["Quest Reward|T"] = {
					17772,
					17773,
					17768,
					17778,
					17770,
					17775,
					17776,
					17777,
					17779,
					17774,
					17705,
					17743,
					17753,
				},
			},
			["Dire Maul (East)|8"] = {
				["Zevrim Thornhoof|N|1"] = {
					18319,
					18313,
					18323,
					18308,
					18306,
				},
				["Hydrospawn|N|2"] = {
					18322,
					18324,
					18317,
					18305,
				},
				["Lethtendris|N|3"] = {
					18302,
					18325,
					18311,
					18301,
				},
				["Pimgib|N|4"] = {
					18354,
				},
				["Pusillin|N|5"] = {
					18267,
				},
				["Alzzin the Wildshaper|N|6"] = {
					18321,
					18326,
					18312,
					18318,
					18309,
					18310,
					18328,
					18327,
					18315,
					18314,
				},
				["Isalien|N|7"] = {
					22401,
					22345,
					22472,
					22304,
					22314,
				},
				["Trash|T"] = {
					18344,
					18298,
					18296,
					18295,
				},
				["Quest Reward|T"] = {
					18491,
					18411,
					18410,
					18536,
					18535,
				},
			},
			["Dire Maul (North)|9"] = {
				["Guard Mol'dar|N|1"] = {
					18498,
					18496,
					18497,
					18494,
					18493,
					18450,
					18462,
					18464,
					18460,
					18463,
					18458,
					18459,
					18451,
				},
				["Guard Slip'kik|N|2"] = {
					18498,
					18496,
					18497,
					18494,
					18493,
					18450,
					18462,
					18464,
					18460,
					18463,
					18458,
					18459,
					18451,
				},
				["Guard Fengus|N|3"] = {
					18450,
					18462,
					18464,
					18460,
					18463,
					18458,
					18459,
					18451,
				},
				["Stomper Kreeg|N|4"] = {
					18425,
				},
				["Captain Kromcrush|N|5"] = {
					18502,
					18507,
					18505,
					18503,
				},
				["Cho'Rush the Observer|N|6"] = {
					18484,
					18490,
					18485,
					18483,
				},
				["King Gordok|N|8"] = {
					18520,
					18527,
					18523,
					18525,
					18526,
					18522,
					18524,
					18521,
				},
				["Knot Thimblejack's Cache|T"] = {
					18517,
					18514,
					18515,
					18519,
					18518,
					18416,
					18415,
					18417,
					18414,
					18516,
					18418,
				},
				["Gordok Tribute|T"] = {
					18499,
					18531,
					18481,
					18537,
					18532,
					18495,
					18529,
					18528,
					18533,
					18500,
					18480,
					18530,
					18482,
					18538,
					18534,
				},
				["Quest Reward|T"] = {
					18366,
					18369,
					18368,
					18367,
				},
			},
			["Dire Maul (West)|10"] = {
				["Tendris Warpwood|N|1"] = {
					18352,
					18353,
					18393,
					18390,
				},
				["Magister Kalendris|N|2"] = {
					18371,
					18350,
					18397,
					22309,
					18374,
					18351,
				},
				["Illyanna Ravenoak|N|3"] = {
					18386,
					18349,
					18383,
					18347,
				},
				["Tsu'zee|S|4"] = {
					18387,
					18345,
					18346,
				},
				["Immol'thar|N|5"] = {
					18384,
					18377,
					18379,
					18389,
					18372,
					18370,
					18391,
					18381,
					18385,
					18394,
				},
				["Lord Hel'nurath|N|6"] = {
					18756,
					18755,
					18757,
					18754,
				},
				["Revanchion|N|7"] = {
					23127,
					23128,
					23129,
				},
				["Prince Tortheldrin|B|8"] = {
					18382,
					18376,
					18388,
					18373,
					18392,
					18396,
					18375,
					18378,
					18395,
					18380,
				},
				["Trash|T"] = {
					18340,
					18289,
					18338,
				},
				["Quest Reward|T"] = {
					18421,
					18420,
					18424,
				},
			},
			["Dire Maul (Arena)|11"] = {
				["Rare Spawn"] = {
					23197,
					23199,
					23203,

					13015,
					13028,
					13060,
					13001,
					9402,
					13096,
					13116,
					13133,
					13053,
					13072,
					13002,
				},
			},
			["Onyxia's Lair|R|12"] = {
				["Onyxia"] = {
					16955,
					16963,
					16914,
					16929,
					16947,
					16900,
					16921,
					16939,
					16908,
					18813,
					17078,
					17064,
					17068,
					17075,
					17067,
					18205,
					17966,
					17804,
				},
			},
			["Ruins of Ahn'Qiraj|R|13"] = {
				["Kurinnaxx|N|1)"] = {
					21500,
					21499,
					21498,
					21503,
					21502,
				--	["흐르는 모래의 손목보호대"] = {[1] = "드랍",[2] = "안퀴라즈(폐허)<공>",[3] = "쿠린낙스(1st)"},
					21501,
				},
				["Captains"] = {
					21810,
					21809,
					21806,
				},
				["General Rajaxx|N|2"] = {
					21493,
					21492,
					21494,
					21497,
					21496,
					21495,
				},
				["Lieutenant General Andorov|T|2"] = {
					22219,
					22221,
				},
				["Buru the Gorger|N|3"] = {
					21488,
					21490,
					21486,
					21485,
					21489,
					21487,
					21491,
				},
				["Ayamiss the Hunter|N|4"] = {
					21484,
					21466,
					21483,
					21478,
					21481,
					21482,
					21480,
				},
				["Moam|N|5"] = {
					21473,
					21477,
					21455,
					21469,
					21470,
					21472,
					21479,
					21474,
					21475,
					21476,
					21467,
					21471,
					21468,
					22220,
				},
				["Ossirian the Unscarred|B|6"] = {
					21464,
					21460,
					21456,
					21452,
					21462,
					21463,
					21457,
					21459,
					21715,
					21454,
					21458,
					21453,
					21461,
				},
				["Trash|T"] = {
					21801,
					21804,
					21800,
					21805,
					21802,
					21803,
				},
			},
			["Temple of Ahn'Qiraj|R|14"] = {
				["The Prophet Skeram|N|1"] = {
					21703,
					21814,
					21699,
					21698,
					21702,
					21706,
					21701,
					21704,
					21705,
					21128,
					21700,
					21707,
					21708,
				},
				["Lord Kri|N|2"] = {
					21681,
					21685,
					21680,
					21603,
				},
				["Princess Yauj|N|2"] = {
					21687,
					21682,
					21683,
					21686,
					21684,
				},
				["Vem|N|2"] = {
					21689,
					21688,
					21691,
					21690,
				},
				["The Bug Family|N|2"] = {
					21692,
					21693,
					21694,
					21697,
					21696,
					21695,
				},
				["Battleguard Sartura|N|3"] = {
					21648,
					21666,
					21673,
					21678,
					21672,
					21669,
					21671,
					21670,
					21677,
					21674,
					21676,
					21667,
					21675,
					21668,
				},
				["Fankriss the Unyielding|N|4"] = {
					22396,
					22402,
					21664,
					21650,
					21645,
					21663,
					21639,
					21647,
					21635,
					21652,
					21627,
					21665,
					21651,
				},
				["Viscidus|N|5"] = {
					22399,
					21625,
					21624,
					21623,
					21622,
					21626,
				},
				["Princess Huhuran|N|6"] = {
					21619,
					21620,
					21616,
					21617,
					21621,
					21618,
					20932,
					20928,
				},
				["Emperor Vek'nilash|N|7"] = {
					21679,
					21604,
					21605,
					21606,
					21607,
					21608,
					21609,
					20926,
					20726,
				},
				["Emperor Vek'lor|N|7"] = {
					21600,
					21598,
					21597,
					21601,
					21599,
					21602,
					20930,
					20735,
				},
				["Ouro|N|8"] = {
					21611,
					23557,
					21610,
					23558,
					21615,
					23570,
					20931,
					20927,
				},
				["C'Thun|B|9"] = {
					22732,
					21126,
					21583,
					21581,
					22730,
					22731,
					21582,
					21585,
					21134,
					21579,
					21839,
					21596,
					21586,
					20929,
					20933,
					22734,
				},
				["Trash|T"] = {
					21891,
					21888,
					21838,
					21836,
					21837,
					21856,
				},
				["Quest Reward|T"] = {
					21244,
					21242,
					21272,
					21269,
					21268,
					21273,
					21275,
				},
			},
			["Old Hillsbrad Foothills|15"] = {
				["Lieutenant Drake|N|1"] = {
					27423,
					27436,
					27417,
					27418,
					27420,
				},
				["Captain Skarloc|N|2"] = {
					27428,
					27424,
					27430,
					27427,
					27426,
					22927,
				},
				["Epoch Hunter|B|3"] = {
					27433,
					27431,
					27434,
					27432,
					27440,
					24173,
				},
				["Trash|T|4"] = {
					25729,
				},
				["Quest Reward|T|5"] = {
					29317,
					29318,
					29316,
					29319,
				},
				["Vendor|T|6"] = {
					22539,
					25725,
				},
			},
			["Old Hillsbrad Foothills-Hero|R|16"] = {
				["Lieutenant Drake|N|1"] = {
					28214,
					28213,
					28210,
					28212,
					28211,
					28215,
				},
				["Captain Skarloc|N|2"] = {
					28220,
					28218,
					28221,
					28216,
					28219,
					28217,
				},
				["Epoch Hunter|B|3"] = {
					28401,
					28226,
					29250,
					28223,
					28222,
					30534,
					28191,
					28224,
					29246,
					30536,
					28344,
					28233,
					28225,
					27904,
					27911,
					28227,
				},
				["Gems|T|4"] = {
					30590,
					30589,
					30591,
				},
			},
			["The Black Morass|17"] = {
				["Chrono Lord Deja|N|1"] = {
					27993,
					27987,
					27995,
					27988,
					27996,
					27994,
					29675,
				},
				["Temporus|N|2"] = {
					28184,
					28187,
					28034,
					28186,
					28185,
					28033,
				},
				["Aeonus|B|3"] = {
					28206,
					28192,
					27509,
					27873,
					28193,
					28188,
					27839,
					27977,
					28189,
					28207,
					28190,
					28194,
				},
				["Trash|4"] = {
					25730,
				},
				["Quest Reward|5"] = {
					29320,
					29322,
					29321,
					29323,
				},
			},
			["The Black Morass-Hero|R|18"] = {
				["Aeonus|B|1"] = {
					29356,
					30531,
					29247,
					29253,
				},
				["Gems|T|2"] = {
					30555,
					30558,
					30556,
				},
			},
			["Hyjal Summit|R|19"] = {
				["Rage Winterchill|1"] = { 
					30861,
					30862,
					30865,
					30866,
					30869,
					30872,
					30868,
					30870,
--					32864,
					30863,
					30871,
					30873,
					32459,
				},
				["Anetheron|2"] = { 
					30874,
					30878,
					30879,
					30880,
					30881,
					30882,
					30883,
					30884,
					30885,
					30886,
					30887,
					30888,
				},
				["Kaz'rogal|3"] = { 
					30889,
					30891,
					30892,
					30893,
					30894,
					30895,
					30914,
					30915,
					30916,
					30917,
					30918,
					30919,
				},
				["Azgalor|4"] = { 
					31092,
					31093,
					31094,
					30896,
					30897,
					30898,
					30899,
					30900,
					30901,
				},
				["Archimonde|5"] = { 
					31097,
					31096,
					31095,
					30902,
					30903,
					30904,
					30905,
					30906,
					30907,
					30908,
					30909,
					30910,
					30911,
					30912,
					30913,
				},
				["Named common|6"] = {
					32307,
					32303,
					32297,
					32298,
					32296,
					32292,
					32295,
					32289,
					32285,
				},
				["Quest Reward|7"] = {
					32649,
				},
			},
		},
		["Outland|3"] = {
			["Hellfire Ramparts|1"] = {
				["Watchkeeper Gargolmar|1"] = {
					24021,
					24020,
					24023,
					24024,
					24022,
				},
				["Omor the Unscarred|2"] = {
					24096,
					24073,
					24094,
					24069,
					24091,
					24090,
				},
				["Vazruden|B|3"] = {
					24045,
					24154,
					24044,
					24083,
					24155,
					24064,
					24150,
					24151,
					24046,
					24063,
				},
				["Trash|4"] = {
					23810,
				},
				["Quest Reward|5"] = {
					25716,
					25715,
					25717,
					25718,
				},
					
			},
			["Hellfire Ramparts-Hero|R|2"] = {
				["Watchkeeper Gargolmar|1"] = {
					27448,
					27449,
					27450,
					27451,
					27447,
				},
				["Omor the Unscarred|2"] = {
					27895,
					27906,
					27465,
					27466,
					27463,
					27462,
					27464,
					27467,
					27478,
					27476,
					27539,
					27477,
				},
				["Vazruden|B|3"] = {
					27459,
					27460,
					27461,
					27455,
					27458,
					29238,
					27456,
					27454,
					27452,
					29264,
					27457,
					29346,
					27453,
					32077,
				},
				["Gems|T|4"] = {
					30592,
					30594,
					30593,
				},
			},
			["The Blood Furnace|3"] = {
				["The Maker|1"] = {
					24387,
					24384,
					24388,
					24385,
					24386,
				},
				["Broggok|2"] = {
					24389,
					24392,
					24391,
					24393,
					24390,
				},
				["Keli'dan the Breaker|B|3"] = {
					24396,
					24395,
					24394,
					24397,
					24398,
				},
				["Quest Reward|4"] = {
					25714,
					25713,
					25712,
					25701,
					25710,
					25702,
					25711,
				},
			},
			["The Blood Furnace-Hero|R|4"] = {
				["The Maker|1"] = {
					27484,
					27487,
					27483,
					27485,
					27488,
				},
				["Broggok|2"] = {
					27491,
					27490,
					27489,
					27492,
					27848,
				},
				["Keli'dan the Breaker|B|3"] = {
					29347,
					27512,
					27495,
					29245,
					27788,
					27507,
					28264,
					27505,
					29239,
					27514,
					27506,
					27497,
					27494,
					28121,
					32080,
				},
				["Gems|T|4"] = {
					30602,
					30601,
					30600,
				},
			},
			["The Shattered Halls|5"] = {
				["Grand Warlock Nethekurse|1"] = {
					27519,
					27520,
					27517,
					27521,
					27518,
					24312,
				},
				["Warbringer O'mrogg|2"] = {
					27868,
					27526,
					27524,
					27525,
					27802,
				},
				["Warchief Kargath Bladefist|B|3"] = {
					27540,
					27527,
					27538,
					27529,
					27531,
					27533,
					27534,
					27528,
					27537,
					27536,
					27535,
					27474,
				},
				["Quest Reward|4"] = {
					25810,
					25811,
					25809,
					25808,
					25791,
					25792,
					25788,
					25789,
					25790,
				},
				["Trash|5"] = {
					22554,
				},
			},
			["The Shattered Halls-Hero|R|6"] = {
				["Blood Guard Porung|1"] = {
					30709,
					30708,
					30710,
					30705,
					30707,
				},
				["Warchief Kargath Bladefist|B|2"] = {
					29263,
					29254,
					29348,
					29255,
				},
				["Gems|T|3"] = {
					30547,
					30546,
					30548,
				},
			},
			["Magtheridon's Lair|R|7"] = {
				["Magtheridon|B|1"] = {
					29458,
					29753,
					29754,
					29755,
					28789,
					28774,
					28775,
					28776,
					28777,
					28778,
					28779,
					28780,
					28781,
					28782, 
					28783,
				},
				["Quest Reward|U|2"] = {
					L["Quest Begined"],
					32386,
					L["Quest Reward"],
					28790,
					28791,
					28792,
					28793,
				},
			},
			["The Slave Pens|8"] = {
				["Mennu the Betrayer|1"] = {
					24361,
					24360,
					24356,
					24357,
					24359,
					29674,
				},
				["Rokmar the Crackler|2"] = {
					24380,
					24381,
					24376,
					24378,
					24379,
				},
				["Quagmirran|B|3"] = {
					24363,
					24364,
					24362,
					24365,
					24366,
				},
			},
			["The Slave Pens-Hero|R|9"] = {
				["Mennu the Betrayer|1"] = {
					27543,
					27542,
					27546,
					27541,
					27545,
					27544,
				},
				["Rokmar the Crackler|2"] = {
					27549,
					27548,
					27550,
					27547,
					27551,
					28124,
				},
				["Quagmirran|B|3"] = {
					27714,
					27672,
					29242,
					27740,
					27800,
					27673,
					27713,
					27683,
					27712,
					30538,
					27742,
					27741,
					28337,
					29349,
					27796,
					32078,
				},
				["Gems|T|4"] = {
					30605,
					30603,
					30604,
				},
			},
			["The Underbog|10"] = {
				["Hungarfen|1"] = {
					27631,
					24452,
					24413,
					24450,
					24451,
				},
				["Ghaz'an|2"] = {
					24460,
					24461,
					24459,
					24458,
					24462,
				},
				["Swamplord Musel'ek|3"] = {
					24453,
					24455,
					24454,
					24456,
					24457,
				},
				["The Black Stalker|B|4"] = {
					24481,
					24465,
					24464,
					24463,
					24466,
				},
				["Quest Reward|5"] = {
					28029,
					25540,
					25541,
					28109,
					28108,
					28111,
				},
			},
			["The Underbog-Hero|R|11"] = {
				["Hungarfen|1"] = {
					27748,
					27744,
					27747,
					27746,
					27745,
					27743,
				},
				["Ghaz'an|2"] = {
					27755,
					27760,
					27759,
					27757,
					27761,
					27758,
				},
				["Swamplord Musel'ek|3"] = {
					27767,
					27766,
					27763,
					27764,
					27765,
					27762,
				},
				["The Black Stalker|B|4"] = {
					29350,
					29265,
					30541,
					27769,
					27907,
					27779,
					27772,
					27770,
					27896,
					27773,
					27781,
					27771,
					27780,
					27938,
					27768,
					32081,
				},
				["Gems|T|5"] = {
					30608,
					30606,
					30607,
				},
			},
			["The Steamvault|12"] = {
				["Hydromancer Thespia|1"] = {
					27508,
					27783,
					27784,
					27787,
					27789,
					29673,
				},
				["Mekgineer Steamrigger|2"] = {
					27790,
					27793,
					27794,
					27792,
					27791,
					23887,
				},
				["Warlord Kalithresh|B|3"] = {
					28203,
					27475,
					27804,
					27805,
					27795,
					27738,
					27799,
					27806,
					27737,
					27510,
					27801,
					27874,
					24313,
				},
				["Quest Reward|4"] = {
					28182,
					28180,
					28181,
					28183,
				},
				["Trash|5"] = {
					24159,
					22533,
				},
			},
			["The Steamvault-Hero|R|13"] = {
				["Warlord Kalithresh|B|1"] = {
					30543,
					29351,
					29243,
					29463,
				},
				["Gems|T|2"] = {
					30550,
					30551,
					30549,
				},
			},
			["Serpentshrine Cavern|R|14"] = {
				["Hydross the Unstable|1"] = {
					30049,
					30052,
					32516,
					30629,
					30053,
					30048,
					30051,
					30055,
					30050,
					30054,
					30047,
					30056,
					30664,
					33055,
				},
				["The Lurker Below|2"] = {
					30058,
					33054,
					30057,
					30061,
					30060,
					30067,
					30066,
					30065,
					30059,
					30062,
					30665,
					30063,
					30064,
				},
				["Leotheras the Blind|3"] = {
					30239,
					30241,
					30240,
					30096,
					30092,
					30627,
					30095,
					30097,
					30091,
				},
				["Fathom-Lord Karathress|4"] = {
					30245,
					30247,
					30246,
					30090,
					30099,
					30101,
					30663,
					30626,
					30100,
				},
				["Morogrim Tidewalker|5"] = {
					33058,
					30720,
					30081,
					30068,
					30075,
					30098,
					30083,
					30082,
					30079,
					30080,
					30084,
					30008,
					30085,
				},
				["Lady Vashj|B|6"] = {
					30242,
					30244,
					30243,
					32895,
					30103,
					30104,
					30106,
					30105,
					30108,
					30109,
					30110,
					30111,
					30112,
					30621,
					30102,
					30107,
					29906,
				},
				["Trash|7"] = {
					30183,
					30025,
					30021,
					30022,
					30027,
					30620,
					30023,
				},
				["Crafted|8"] = {
					30280,
					30281,
					30282,
					30283,

					30301,
					30302,
					30303,
					30304,
					30305,
					30306,
					30307,
					30308,

					30321,
					30322,
					30323,
					30324,
				},
			},
			["Mana-Tombs|15"] = {
				["Pandemonius|1"] = {
					25940,
					28166,
					25943,
					25941,
					25939,
					25942,
				},
				["Tavarok|2"] = {
					25945,
					25944,
					25950,
					25946,
					25947,
					25952,
				},
				["Nexus-Prince Shaffar|B|3"] = {
					25953,
					25954,
					25962,
					25955,
					25956,
					25957,
					22921,
				},
				["Trash|4"] = {
					23615,
					22543,
				},
				["Quest Reward|5"] = {
					29345,
					29342,
					29344,
					29343,
					29327,
					29328,
					29325,
					29326,
				},
			},
			["Mana-Tombs-Hero|R|16"] = {
				["Pandemonius|1"] = {
					27817,
					27813,
					27814,
					27815,
					27818,
					27816,
				},
				["Tavarok|2"] = {
					27825,
					27822,
					27823,
					27821,
					27826,
					27824,
				},
				["Nexus-Prince Shaffar|B|3"] = {
					27840,
					30535,
					27798,
					27829,
--					29252,
					27835,
					28400,
					27842,
					27843,
					27827,
					27837,
					27844,
					27828,
					29352,
					29240,
					32082,
					27831,
				},
				["Yor|4"] = {
					31554,
					31562,
					31570,
					31578,
					31921,
					31922,
					31920,
					31923,
					31924,
				},
				["Gems|T|5"] = {
					30583,
					30584,
					30585,
				},
			},
			["Auchenai Crypts|17"] = {
				["Shirrak the Dead Watcher|1"] = {
					25964,
					27410,
					27408,
					27409,
					26055,
				},
				["Exarch Maladaar|B|2"] = {
					27413,
					27411,
					27416,
					27415,
					27414,
					27412,
				},
				["Trash|3"] = {
					23605,
					22544,
				},
				["Quest Reward|4"] = {
					29337,
					29341,
					29340,
					29339,
				},
			},
			["Auchenai Crypts-Hero|R|18"] = {
				["Shirrak the Dead Watcher|1"] = {
					27845,
					27847,
					27846,
					27865,
					27493,
					27866,
				},
				["Exarch Maladaar|B|2"] = {
					27867,
					29244,
					27872,
					29257,
					27869,
					29354,
					27870,
					27523,
					27871,
				},
				["Avatar of the Martyred|3"] = {
					27937,
					27876,
					28268,
					27877,
					27878,
					27797,
				},
				["Gems|T|4"] = {
					30586,
					30587,
					30588,
				},
			},
			["Sethekk Halls|19"] = {
				["Darkweaver Syth|1"] = {
					27919,
					27914,
					27918,
					27916,
					27915,
					27917,
					24160,
				},
				["Talon King Ikiss|B|2"] = {
					27948,
					27875,
					27838,
					27946,
					27925,
					27986,
					27936,
					27776,
					27981,
					27985,
					27980,
					27991,
				},
				["Trash|3"] = {
					25731,
					29669,
				},
				["Quest Reward|4"] = {
					29330,
					29332,
					29329,
					29336,
					29335,
					29333,
					29334,
				},
			},
			["Sethekk Halls-Hero|R|20"] = {
				["Anzu|S|1"] = {
					32780,
					32781,
					32769,
					32779,
					32778,
					32768,
				},
				["Talon King Ikiss|B|2"] = {
					29249,
					29259,
					29355,
					32073,
				},
				["Gems|T|3"] = {
					30552,
					30554,
					30553,
				},
			},
			["Shadow Labyrinth|21"] = {
				["Ambassador Hellmaw|1"] = {
					27888,
					27887,
					27885,
					27884,
					27886,
					27889,
				},
				["Blackheart the Inciter|2"] = {
					27468,
					27892,
					27891,
					27890,
					28134,
					27893,
					25728,
				},
				["Grandmaster Vorpil|3"] = {
					27897,
					27898,
					27901,
					27775,
					27900,
				},
				["Murmur|B|4"] = {
					27903,
					28230,
					28232,
					27778,
					27910,
					27912,
					27909,
					27908,
					27803,
					27902,
					27913,
					27905,
					24309,
				},
				["Trash|5"] = {
					23607,
				},
				["Quest Reward|6"] = {
					28174,
					28170,
					28171,
					28167,
					28179,
					28177,
					28178,
					28176,
				},
			},
			["Shadow Labyrinth-Hero|R|22"] = {
				["Murmur|B"] = {
					29261,
					29353,
					29357,
					30532,
				},
				["Gems|T|2"] = {
					30559,
					30563,
					30560,
				},
			},
			["Gruul's Lair|R|23"] = {
				["Gruul the Dragonkiller|B|1"] = {
					29765, 
					29766, 
					29767,
					28794,
					28802,
					28803,
					28804,
					28810,
					28822,
					28823,
					28824,
					28825,
					28826,
					28827,
					28828,
					28830,
					
				},
				["High King Maulgar|B|2"] = {
					28800,
					28796,
					28801,
					28795,
					28799,
					28797,
					29762,
					29763,
					29764,
				},

			},
			["The Mechanar|24"] = {
				["Cache of the Legion|1"] = {
					28248,
					28251,
					28252,
					28249,
					28250,
				},
				["Mechano-Lord Capacitus|2"] = {
					28256,
					28257,
					28255,
					28253,
					28254,
				},
				["Nethermancer Sepethrea|3"] = {
					28263,
					28258,
					28259,
					28262,
					28260,
				},
				["Pathaleon the Calculator|B|4"] = {
					28267,
					27899,
					28285,
					28204,
					28202,
					28278,
					28275,
					28269,
					28286,
					28265,
					28266,
					28288,
					21907,
				},
				["Trash|5"] = {
					21906,
					22920,
				},
			},
			["The Mechanar-Hero|R|25"] = {
				["Pathaleon the Calculator|B|1"] = {
					29362,
					29251,
					30533,
					32076,
				},
				["Gems|T|2"] = {
					30564,
					30565,
					30566,
				},
			},
			["The Botanica|26"] = {
				["Commander Sarannis|1"] = {
					28311,
					28304,
					28296,
					28301,
					28306,
				},
				["High Botanist Freywinn|2"] = {
					28318,
					28317,
					28316,
					28315,
					28321,
					23617,
				},
				["Thorngrin the Tender|3"] = {
					28327,
					28322,
					28323,
					28324,
					28325,
					24310,
				},
				["Laj|4"] = {
					28328,
					27739,
					28339,
					28338,
					28340,
				},
				["Warp Splinter|B|5"] = {
					28348,
					28229,
					28350,
					28228,
					28349,
					28371,
					28367,
					28370,
					28345,
					28342,
					28347,
					28341,
					28343,
					24311,
				},
				["Trash|6"] = {
					24172,
				},
			},
			["The Botanica-Hero|R|27"] = {
				["Warp Splinter|B"] = {
					29262,
					29359,
					29258,
					32072,
				},
				["Gems|T|2"] = {
					30573,
					30574,
					30572,
				},
			},
			["The Arcatraz|28"] = {
				["Zereketh the Unbound|1"] = {
					28384,
					28375,
					28372,
					28373,
					28374,
				},
				["Wrath-Scryer Soccothrates|2"] = {
					28397,
					28396,
					28398,
					28393,
					28394,
				},
				["Dalliah the Doomsayer|3"] = {
					28392,
					28386,
					28391,
					28387,
					28390,
					24308,
				},
				["Harbinger Skyriss|B|4"] = {
					28413,
					28415,
					28414,
					28205,
					28406,
					28416,
					28412,
					28419,
					28418,
					28231,
					28403,
					28407,
				},
				["Trash|5"] = {
					29672,
					21905,
					23606,
					22556,
				},
			},
			["The Arcatraz-Hero|R|29"] = {
				["Harbinger Skyriss|B|1"] = {
					29241,
					29248,
--					30534,
					29252,
					29360,
				},
				["Gems|T|2"] = {
					30575,
					30581,
					30582,
				},
			},
			["Tempest Keep|R|30"] = {
				["Void Reaver"] = {
					30250,
					30248,
					30249,
					29984,
					30450,
					30619,
					29983,
					29985,
					29986,
					32515,
				},
				["Al'ar"] = { 
					29924,
					29923,
					29922,
					29925,
					30448,
					32944,
					29920,
					30447,
					29918,
					29921,
					29947,
					29949,
					29948,
				},
				["High Astromancer Solarian"] = { 
					29985,
					29965,
					29966,
					29962,
					29977,
					29976,
					30446,
					30449,
					29950,
					29972,
					29981,
					29951,
					32267,
				},
				["Kael'thas Sunstrider"] = {
					30236,
					30238,
					30237,
					29988,
					29993,
					29994,
					29989,
					29997,
					29996,
					29990,
					29992,
					29995,
					32896,
					29991,
					29998,
					29987,
					32458,
					29905,
				},
				["Phase2"] = {
					30311,
					30312,
					30313,
					30314,
					30316,
					30317,
					30318,
				},
				["Trash|5"] = {
					30026,
					30030,
					30020,
					30024,
					30029,
					30028,
				},
				["Quest Reward"] = {
					L["Quest Begined"],
					32405,
					L["Quest Reward"],
					30018,
					30015,
					30017,
					30007,
				},

			},
			["Black Temple|R|31"] = {
				["High Warlord Naj'entus|1"] = {
					32232,
					32236,
					32237,
					32239,
					32240,
					32241,
					32242,
					32243,
					32245,
					32247,
					32248,
					32234,
					32377,
					32238,
				},
				["Supremus|2"] = {
					32250,
					32251,
					32252,
					32253,
					32254,
					32255,
					32256,
					32257,
					32258,
					32259,
					32260,
					32261,
					32262,
				},
				["Shade of Akama|3"] = {
					32263,
					32264,
					32265,
					32266,
					32279,
					32270,
					32271,
					32273,
					32275,
					32276,
					32361,
					32513,
					32278,
					32268,
				},
				["Teron Gorefiend|4"] = {
					32280,
					32323,
					32324,
					32325,
					32326,
					32327,
					32328,
					32329,
					32330,
					32348,
					32510,
					32512,
				},
				["Reliquary of Souls|5"] = {
					32332,
					32345,
					32346,
					32347,
					32349,
					32350,
					32351,
					32352,
					32353,
					32354,
					32362,
					32363,
					32517,
				},
				["Gurtogg Bloodboil|6"] = {
					32269,
					32333,
					32334,
					32335,
					32337,
					32338,
					32339,
					32340,
					32341,
					32342,
					32343,
					32344,
					32501,
				},
				["Mother Shahraz|7"] = {
					31101,
					31102,
					31103,
					32365,
					32366,
					32367,
					32368,
					32369,
					32370,
				},
				["Illidari Council|8"] = {
					31098,
					31099,
					31100,
					32331,
					32373,
					32505,
					32519,
					32376,
					32518,
				},
				["Illidan Stormrage|9"] = {
					31089,
					31090,
					31091,
					32235,
					32374,
					32375,
					32525,
					32336,
					32483,
					32524,
					32521,
					32500,
					32471,
					32837,
					32838,
					32275,
					32496,
					32497,
				},
				["Gems|U|10"] = {
					L["Crimson Spinel"], -- 붉은 첨정석
					L["Reagent"],
					32227,
					L["Crafted"],
					32193,
					32194,
					32195,
					32196,
					32197,
					32198,
					32199,
					"",

					L["Pyrestone"], -- 열화석
					L["Reagent"],
					32231,
					L["Crafted"],
					32220,
					32219,
					32217,
					32221,
					32218,
					32222,
					"",

					L["Lionseye"], -- 사안석
					L["Reagent"],
					32229,
					L["Crafted"],
					32204,
					32209,
					32207,
					32205,
					32210,
					32206,
					32208,
					"",

					L["Seaspray Emerald"], --바다안개 에메랄드
					L["Reagent"],
					32249,
					L["Crafted"],
					32225,
					32223,
					32226,
					32224,

					L["Empyrean Sapphire"], -- 창공의 사파이어
					L["Reagent"],
					32228,
					L["Crafted"],
					32202,
					32200,
					32201,
					32203,
					"",

					L["Shadowsong Amethyst"], -- 어둠노래 자수정
					L["Reagent"],
					32230,
					L["Crafted"],
					32213,
					32215,
					32214,
					32212,
					32211,
					32216,

				},
				["Trash|T|11"] = {
					32526,
					32527,
					32528,

					32589,
					32590,
					32591,
					32592,
					32593,

					32606,

					32608,
					32609,

					34009,
					34010,
					34011,
					34012,

					32943,
					32428,
				},
				["Crafted|12"] = {
					32736,
					32737,
					32738,
					32739,
					32752,
					32753,
					32754,
					32755,
					32744,
					32745,
					32746,
					32747,
					32748,
					32749,
					32750,
					32751,
				},
				["Quest Reward|T|13"] = {
					32757,
				},
			},
		},
	},	
	["World Drop|T|2"] = {
		["Kalimdor|2"] ={
			["The Barrens"] = {
				["Elder Mystic Razorsnout"] = {
					4771,
					4768,
				},
				["Rathorian "] = {
					5111,
					5112,
				},
				["Stonearm"] = {
					1355,
				},
				["Geopriest Gukk'rok"] = {
					1539,
				},
				["Gesharahan"] = {
					5182,
					5183,
				},
				["Heggin Stonewhisker"] = {
					2035,
				},
				["Digger Flameforge"] = {
					4785,
				},
			},
			["Desolace"] = {
				["Ravenclaw Regent"] = {
					5969,
					6628,
				},
			},
			["Darkshore"] = {
				["Lady Vespira"] = {
					6332,
					6333,
				},
			},
			["Stonetalon Mountains"] = {
				["Pridewing Patriarch"] = {
					5751,
					5752,
				},
			},
			["Thousand Needles"] = {
				["Galak Marauder"] = {
					1493,
				},
				["Silithid Ravager"] = {
					8224,
				},
				["Ironeye the Invincible"] = {
					8223,
				},
			},
			["Tanaris"] = {
				["Omgorn the Lost"] = {
					17055,
				},
			},
			["Azshara"] = {
				["Avalanchion"] = {
					18674,
					18673,
				},
				["Azuregos"] = { 
					17070, 
					18202, 
					18208, 
					18541, 
					18542, 
					18545, 
					18547, 
					19130, 
					19131, 
					19132, 
				},
				["General Fangferror"] = {
					17054,
				},
			},
			["Un'Goro Crater"] = {
				["Baron Charr"] = {
					18671,
				},
			},		
			["Silithus"] = {
				["The Windreaver|1"] = {
					18677,
					18676,
					21548,
				},
				["Hoary Templar|2"] = {  --백색 기사단
					20660,
					20659,
					20658,
				},
				["Earthen Templar|3"] = {
					20663,
					20661,
					20662,
				},
				["Crimson Templar|4"] = {
					20657,
					20656,
					20655,
				},
				["Azure Templar|5"] = {
					20654,
					20652,
					20653,
				},
				["The Duke of Zephyrs|6"] = {
					20675,
					20674,
					20673,
				},
				["The Duke of Cynders|7"] = {
					20666,
					20665,
					20664,
				},
				["The Duke of Fathoms|8"] = {
					20669,
					20668,
					20667,
				},
				["The Duke of Shards|9"] = {
					20672,
					20671,
					20670,
				},
				["Baron Kazum|10"] = {
					20688,
					20687,
					20686,
				},
				["Lord Skwol|11"] = {
					20685,
					20684,
					20683,
				},
				["High Marshal Whirlaxis|12"] = {
					20691,
					20689,
					20690,
				},
				["Prince Skaldrenox|13"] = {
					20682,
					20680,
					20681,
				},
			},
			["Winterspring"] = {
				["Princess Tempestria"] = {
					18679,
					18678,
				},
			},
			["Feralas"] = {
				["Ysondre"] = {
					20578, 
					20635, 
					20636, 
					20637, 
					20638, 
					20639, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
				["Emeriss"] = {
					20599, 
					20621, 
					20622, 
					20623, 
					20624, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
				["Lethon"] = { 
					20625, 
					20626, 
					20627, 
					20628, 
					20629, 
					20630, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
				["Taerar"] = { 
					20577, 
					20631, 
					20632, 
					20633, 
					20634, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
			},
			["Ashenvale"] = {
				["Ysondre"] = {
					20578, 
					20635, 
					20636, 
					20637, 
					20638, 
					20639, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
				["Emeriss"] = {
					20599, 
					20621, 
					20622, 
					20623, 
					20624, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
				["Lethon"] = { 
					20625, 
					20626, 
					20627, 
					20628, 
					20629, 
					20630, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
				["Taerar"] = { 
					20577, 
					20631, 
					20632, 
					20633, 
					20634, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
			},
		},
		["Eastern Kingdoms|1"] = {
			["Dun Morogh"] = {
				["Great Father Arctikus"] = {
					3223,
					L["Rare"].." "..L["Level"].." 11 "..L["Humanoid"],
				},
				["Gibblewilt"] = {
					10553,
					10554,
					L["Rare"].." "..L["Level"].." 11 "..L["Humanoid"],
				},
				["Hammerspine"] = {
					2254,
					L["Rare"].." "..L["Level"].." 12 "..L["Humanoid"],
				},
			},
			["Loch Modan"] = { 
				["Grizlak"] = {
					2284,
					6195,
				},
				["Magosh"] = {
					2241,
					3571,
				},
				["Boss Galgosh"] = {
					1938,
				},
				["Large Loch Crocolisk"] = {
					3563,
					6197,
				},
			},
			["Westfall"] = {
				["Sergeant Brashclaw"] = {
					2204,
					2203,
				},
				["Brack"] = {
					2235,
					6179,
				},
				["Leprithus"] = {
					1314,
					1387,
				},
				["Slark"] = {
					6180,
					3188,
				},
				["Master Digger"] = {
					6205,
				},
				["Foe Reaper 4000"] = {
					4434,
				},
				["Vultros"] = {
					4454,
				},
			},
			["Redridge Mountains"] = {
				["Chatter"] = {
					3229,
				},
				["Rohh the Silent"] = {
					4446,
					4447,
				},
				["Kazon"] = {
					3231,
				},
			},
			["Wetlands"] = {
				["Lupos"] = {
					3227,
				},
				["Ma'ruk Wyrmscale"] = {
					5749,
				},
				["Leech Widow"] = {
					6199,
					4444,
				},
			},
			["Arathi Highlands"] = {
				["Razormaw Matriarch"] = {
					6198,
				},
				["Singer"] = {
					5181,
					5180,
				},
				["Nimar the Slayer"] = {
					5257,
					2622,
				},
				["Prince Nazjak"] = {
					1404,
				},
			},
			["Duskwood"] = {
				["Ysondre"] = {
					20578, 
					20635, 
					20636, 
					20637, 
					20638, 
					20639, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
				["Emeriss"] = {
					20599, 
					20621, 
					20622, 
					20623, 
					20624, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
				["Lethon"] = { 
					20625, 
					20626, 
					20627, 
					20628, 
					20629, 
					20630, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
				["Taerar"] = { 
					20577, 
					20631, 
					20632, 
					20633, 
					20634, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
				["Nefaru"] = {
					4476,
					4477,
				},
				["Lupos"] = {
					3018,
				},
				["Ma'ruk Wyrmscale"] = {
					5750,
				},
				["Naraxis"] = {
					4448,
					4449,
				},
				["Lord Malathrom"] = {
					4462,
					1187,
				},
				["Fenros"] = {
					4474,
					6204,
				},
				["Commander Felstrom"] = {
					4465,
					4464,
				},
			},
			["Alterac Mountains"] = {
				["Skhowl"] = {
					6331,
				},
				["Lo'Grosh"] = {
					6327,
					1678,
					4810,
				},
			},
			["Swamp of Sorrows"] = {
				["Molt Thorn"] = {
					5608,
				},
			},
			["Stranglethorn Vale"] = {
				["Scale Belly"] = {
					4478,
					1604,
				},
				["Lord Sakrasis"] = {
					5028,
					5029,
				},
			},
			["Blackrock Mountain"] = {
				["The Behemoth"] = {
					11603,
				},
			},
			["The Hinterlands"] = {
				["Ysondre"] = {
					20578, 
					20635, 
					20636, 
					20637, 
					20638, 
					20639, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
				["Emeriss"] = {
					20599, 
					20621, 
					20622, 
					20623, 
					20624, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
				["Lethon"] = { 
					20625, 
					20626, 
					20627, 
					20628, 
					20629, 
					20630, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
				["Taerar"] = { 
					20577, 
					20631, 
					20632, 
					20633, 
					20634, 
					20644, 
					20579, 
					20580, 
					20581, 
					20582, 
					20615, 
					20616, 
					20617, 
					20618, 
					20619,
				},
				["Mith'rethis the Enchanter"] = {
					17050,
				},
			},
			["Eastern Plaguelands"] = {
				["Lord Darkscythe"] = {
					16039,
				},
			},
			["Western Plaguelands"] = {
				["Foreman Marcrid"] = {
					12836,
				},
			},
			["Elwynn Forest"] = {
				["Mother Fang"] = {
					3000,
					L["Rare"].." "..L["Level"].." 10 "..L["Beast"],
				},
				["Morgaine the Sly"] = {
					1917,
					L["Rare"].." "..L["Level"].." 10 "..L["Humanoid"],
				},
			},
			["Blasted Lands"] = {
				["Doom Lord Kazzak"] = {
					18665,
					18546,
					17111,
					17112,
					18543,
					18544,
					19135,
					17113,
					18204,
					19133,
					19134,
				},
			},

		},
		["Outland|3"] = {
			["Hellfire Peninsula|1"] = {
				["Doom Lord Kazzak"] = {
					30732,
					30733,
					30734,
					30735,
					30736,
					30737,
					30738,
					30739,
					30740,
					30741,
				},
				["Mekthorg the Wild"] = {
					31170,
					31168,
					31172,
					31174,
					L["Rare"].." "..L["Level"].." 61 "..L["Humanoid"],
				},
				["Vorakem Doomspeaker"] = {
					31183,
					31185,
					31182,
					31184,
					L["Rare"].." "..L["Level"].." 62 "..L["Demon"],
				},
				["Fulgorge"] = {
					31177,
					31176,
					31181,
					31179,
					L["Boss"].." "..L["Level"].." 62 "..L["Not Specified"],
				},
			},
			["Zangarmarsh|2"] = {
				["Coilfang Emissary"] = {
					31242,
					31246,
					31244,
					31243,
					L["Rare"].." "..L["Level"].." 63 "..L["Humanoid"],
				},
				["Bog Lurker"] = {
					31250,
					31247,
					31248,
					31249,
					L["Rare"].." "..L["Level"].." 63 "..L["Elemental"],
				},
				["Marticar"] = {
					31254,
					L["Boss"].." "..L["Level"].." 63 "..L["Beast"],
				},
			},
			["Terokkar Forest|3"] = {
				["Doomsayer Jurim"] = {
					31232,
					31235,
					31233,
					31236,
					L["Rare"].." "..L["Level"].." 64 "..L["Humanoid"],
				},
				["Okrek"] = {
					31227,
					31229,
					31228,
					31231,
					L["Rare"].." "..L["Level"].." 64 "..L["Humanoid"],
				},
				["Crippler"] = {
					31238,
					L["Rare"].." "..L["Level"].." 65 "..L["Undead"],
				},
			},
			["Nagrand|4"] = {
				["Goretooth"] = {
					31188,
					31192,
					31189,
					31191,
					L["Rare"].." "..L["Level"].." 65 "..L["Beast"],
				},
				["Bro'Gaz the Clanless"] = {
					31194,
					L["Rare"].." "..L["Level"].." 66 "..L["Humanoid"],
				},
				["Voidhunter Yar"] = {
					31199,
					31195,
					31197,
					31198,
					L["Rare"].." "..L["Level"].." 68 "..L["Demon"],
				},
			},
			["Blade's Edge Mountains|5"] = {
				["Speaker Mar'grom"] = {
					31166,
					31165,
					31164,
					31163,
					L["Rare"].." "..L["Level"].." 68 "..L["Humanoid"],
				},
				["Morcrush"] = {
					31161,
					31160,
					31162,
					31159,
					L["Boss"].." "..L["Level"].." 68 "..L["Giant"],
				},
				["Hemathion"] = {
					31155,
					31156,
					31157,
					31158,
					L["Boss"].." "..L["Level"].." 68 "..L["Dragon"],
				},
			},
			["Netherstorm|6"] = {
				["Ever-Core the Punisher|1"] = {
					31203,
					L["Rare"].." "..L["Level"].." 68 "..L["Elemental"],
				},
				["Nuramoc|2"] = {
					31212,
					31209,
					31211,
					31210,
					L["Boss"].." "..L["Level"].." 70 "..L["Beast"],
				},
				["Chief Engineer Lorthander|3"] = {
					31201,
				},
				["Wrathbringer Laz-tarash"]= {
					L["Ethereum Prison"],
					32520,
					31925,
					31938,
					31926,
					31939,
				},
				["Gul'bor"] = {
					L["Ethereum Prison"],
					31940,
					31938,
					31935,
					31925,
					31929,
					31928,
				},
				["Armbreaker Huffaz"] = {
					L["Ethereum Prison"],
					31943,
					31926,
					31935,
					31925,
					31928,
					31939,
				},
				["Forgosh"] = {
					L["Ethereum Prison"],
					31565,
					31927,
					31939,
					31929,
					31925,
				},
				["Malevus the Mad"] = {
					L["Ethereum Prison"],
					31581,
					31939,
					31938,
					31925,
					31937,
					31935,
				},
				["Porfus the Gem Gorger"] = {
					L["Ethereum Prison"],
					31557,
					31935,
					31937,
					31928,
					31939,
					31938,
				},
				["Fel Tinkerer Zortan"] = {
					L["Ethereum Prison"],
					31573,
					31929,
					31926,
					31927,
					31936,
				},
			},
			["Shadowmoon Valley"] = {
				["Doomwalker"] = { 
					30722,
					30723,
					30724,
					30725,
					30726,
					30727,
					30728,
					30729,
					30730,
					30731,
				},
				["Collidus the Warp-Watcher"] = {
					31219,
					31217,
					31220,
					31218,
					L["Boss"].." "..L["Level"].." 70 "..L["Demon"],
				},
				["Kraator"] = {
					31216,
					31215,
					31214,
					31213,
					L["Boss"].." "..L["Level"].." 68 "..L["Demon"],
				},
				["Ambassador Jerrikar"] = {
					31221,
					31223,
					31225,
					31224,
					L["Rare"].." "..L["Level"].." 69 "..L["Demon"],
				},
			},
		},
	},
}